package cn.estsh.i3plus.ext.mes.api.base.ep;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEpEquipmentCheck;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-13 10:14
 */
public interface IEpEquipmentCheckService {
    MesEpEquipmentCheck insert(MesEpEquipmentCheck epEquipmentCheck);

    MesEpEquipmentCheck update(MesEpEquipmentCheck epEquipmentCheck);

    ListPager queryByPager(MesEpEquipmentCheck epEquipmentCheck, Pager pager);

    int updateIsValidById(long id, Integer status);
}
